package com.hzs.activity.base.service.impl;

import com.hzs.activity.base.mapper.AcBaseAuthorityMapper;
import com.hzs.activity.base.service.IAcBaseAuthorityService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hzs.common.domain.activity.base.AcBaseAuthority;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 活动基础权限表 服务实现类
 *
 * @author hzs
 * @since 2025-02-18
 */
@Service
public class AcBaseAuthorityServiceImpl extends ServiceImpl<AcBaseAuthorityMapper, AcBaseAuthority> implements IAcBaseAuthorityService {

    @Override
    public int checkPlaceParent(Long pkMember, List<String> topCodeList) {
        return baseMapper.checkPlaceParent(pkMember, topCodeList);
    }

    @Override
    public int checkParent(Long pkMember, List<String> topCodeList) {
        return baseMapper.checkParent(pkMember, topCodeList);
    }

    @Override
    public List<AcBaseAuthority> listAuthority(Long pkBaseId) {
        return baseMapper.listAuthority(pkBaseId);
    }

}
